Subject: Re: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history ofvisited files

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jan 2013 20:32:11 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 12 Jan 2013 10:01:23 -0800
> Cc: [email-masked]
> 
> If you are, that's the worst possible thing, IMO.  Just because a file is
> displayed does not mean that a user wants that name to be added to the input
> history for file names.
> 
> It's a file-name _input_ history - generalized at most to a
> user-request-for-the-file history.  It is not just a file-display history.

You keep saying that, time and again, but I have yet to see an
explanation and specific reasons why this history should only keep
file names typed in the mini-buffer, nor why might the user object to
having file names added to that history when files are visited via
menus or DND or whatever.

Without specific and detailed explanations, this is just "he said, she
said" kind of argument, which can never lead to any constructive
discussion.

My use case that might benefit from this is when a file is visited
because some program invoked emacsclient.  I find myself in the need
of revisiting the file after I did "C-x #", and then I'm annoyed that
I cannot find it in the history, until it hits me that "oh, yes, it
was visited via emacsclient..."

Another similar situation is when a file was visited via RET in the
Dired buffer, then the buffer was killed, and then one wants to
revisit the file with "C-x C-f".

I believe this can be generalized: a file that was visited without
typing its name in the minibuffer, then the buffer was killed, and
then the user wants to revisit the file.